umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
IDLImport Class Reference

`#include <idlimport.h>`

Inheritance diagram for IDLImport:

## Public Member Functions
| IDLImport (CodeImpThread *thread=0)
virtual | ~IDLImport ()
bool | parseStmt ()
bool | parseFile (const QString &file)
bool | preprocess (QString &line)
void | fillSource (const QString &word)
Public Member Functions inherited from NativeImportBase
| NativeImportBase (const QString &singleLineCommentIntro, CodeImpThread *thread=0)
virtual | ~NativeImportBase ()
Public Member Functions inherited from ClassImport
| ClassImport (CodeImpThread *thread=0)
virtual | ~ClassImport ()
bool | importFiles (const QStringList &fileNames)
bool | importFile (const QString &fileName)
void | setRootPath (const QString &path)
bool | enabled ()

## Protected Member Functions
QString | joinTypename ()
| Check for split type names (e.g. unsigned long long) More...
Protected Member Functions inherited from NativeImportBase
void | initialize ()
void | setMultiLineComment (const QString &intro, const QString &end)
void | setMultiLineAltComment (const QString &intro, const QString &end)
virtual void | initVars ()
void | scan (const QString &line)
virtual QStringList | split (const QString &line)
void | skipStmt (const QString &until=QLatin1String(";"))
bool | skipToClosing (QChar opener)
QString | lookAhead ()
virtual QString | advance ()
void | pushScope (UMLPackage *p)
UMLPackage * | popScope ()
UMLPackage * | currentScope ()
int | scopeIndex ()
Protected Member Functions inherited from ClassImport
virtual void | initPerFile ()
void | log (const QString &file, const QString &text)
void | log (const QString &text)

## Protected Attributes
bool | m_isOneway
bool | m_isReadonly
bool | m_isAttribute
Protected Attributes inherited from NativeImportBase
QString | m_singleLineCommentIntro
| start token of a single line comment More...
QStringList | m_source
| the scanned lexemes More...
int | m_srcIndex
| used for indexing m_source More...
QList< UMLPackage * > | m_scope
| stack of scopes for use by the specific importer More...
UMLClassifier * | m_klass
| class currently being processed More...
Uml::Visibility::Enum | m_currentAccess
| current access (public/protected/private) More...
QString | m_comment
| intermediate accumulator for comment text More...
bool | m_inComment
bool | m_isAbstract
| accumulator for abstractness More...
QString | m_multiLineCommentIntro
| multi line comment delimiter intro More...
QString | m_multiLineCommentEnd
| multi line comment delimiter end More...
QString | m_multiLineAltCommentIntro
QString | m_multiLineAltCommentEnd
Protected Attributes inherited from ClassImport
CodeImpThread * | m_thread
| thread in which the work of importing is done More...
bool | m_enabled
| state of importer More...
QString | m_rootPath
| root path of import More...

## Static Protected Attributes
static QString | m_preProcessor
static QStringList | m_preProcessorArguments
static bool | m_preProcessorChecked = false
Static Protected Attributes inherited from NativeImportBase
static QStringList | m_parsedFiles

## Additional Inherited Members
Static Public Member Functions inherited from ClassImport
static ClassImport * | createImporterByFileExt (const QString &fileName, CodeImpThread *thread=0)

## Detailed Description

CORBA IDL code import

Author
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ IDLImport()

IDLImport::IDLImport | ( | CodeImpThread * | thread = `0` | ) |
| explicit

## ◆ ~IDLImport()

IDLImport::~IDLImport | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ fillSource()

void IDLImport::fillSource | ( | const QString & | word | ) |
| virtual

Implement abstract operation from NativeImportBase.

Implements NativeImportBase.

## ◆ joinTypename()

QString IDLImport::joinTypename | ( |  | ) |
| protected

Check for split type names (e.g. unsigned long long)

## ◆ parseFile()

bool IDLImport::parseFile | ( | const QString & | filename | ) |
| virtual

Reimplement operation from NativeImportBase. Need to do this because we use the external C preprocessor.

Reimplemented from NativeImportBase.

## ◆ parseStmt()

bool IDLImport::parseStmt | ( |  | ) |
| virtual

Implement abstract operation from NativeImportBase.

Implements NativeImportBase.

## ◆ preprocess()

bool IDLImport::preprocess | ( | QString & | line | ) |
| virtual

Override operation from NativeImportBase.

Override operation from NativeImportBase.

Reimplemented from NativeImportBase.

## Member Data Documentation

## ◆ m_isAttribute

bool IDLImport::m_isAttribute
| protected

## ◆ m_isOneway

bool IDLImport::m_isOneway
| protected

## ◆ m_isReadonly

bool IDLImport::m_isReadonly
| protected

## ◆ m_preProcessor

QString IDLImport::m_preProcessor
| static protected

## ◆ m_preProcessorArguments

QStringList IDLImport::m_preProcessorArguments
| static protected

## ◆ m_preProcessorChecked

bool IDLImport::m_preProcessorChecked = false
| static protected

The documentation for this class was generated from the following files:

- umbrello/codeimport/idlimport.h
- umbrello/codeimport/idlimport.cpp